# This file is the input for generating the list of preferences
# for pc_geoloc.cpp and pc_geoloc.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionGeolocation
Macro name:  PCGEOLOCATION
Description: Geolocation settings
Type:        normal

Preference:  LocationProviderUrl
Depends on:  GEOLOCATION_SUPPORT
Section:     Geolocation
Key:         Location Provider URL
Type:        string
Description: URL for the provider of position data based on wifi access points, cell phone info, etc.
Default:     "https://maps.googleapis.com/maps/api/browserlocation/json"

Preference:  Google2011LocationProviderAccessToken
Depends on:  GEOLOCATION_SUPPORT
Section:     Geolocation
Key:         Google2011 Location Provider Access Token
Type:        string
Description: Access token used for location provider
Default:     ""

Preference:  SendLocationRequestOnlyOnChange
Depends on:  GEOLOCATION_SUPPORT
Section:     Geolocation
Key:         Send location request only on change
Type:        boolean
Description: Only send location request if some of the data providers (wifi, cell, etc) actually changed.
Default:     TRUE

Preference:  EnableGeolocation
Depends on:  GEOLOCATION_SUPPORT
Section:     Geolocation
Key:         Enable geolocation
Type:        boolean
Description: Enable or disable geolocation
Default:     TRUE

.eof
